import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getProvinceFeeTotalOverviewService = createAsyncThunk(
  "GET_PROVINCE_FEE_TOTAL_OVERVIEW_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "reporting_province_kill_request_wage/"
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
